% udělej měření kdy se jen kývá jedno kyvadlo. Máš vědět hmotnosti ramen,
% délky a vzdálenosti k těžišti. Nafituj řádově tlumení b, pak dolaď podle
% frekvence moment setrvačnosti I a pak zkus nějak tipnout b.
tic
n=2; %cislo kyvadla, 1=prvni, 2=druhe
run ../../parametry.m
dt=0.001;
1
if n==1
    load kyvadloPrvni.mat
elseif n==2
    load kyvadloDruhe.mat
end

simout.Data(:,4+n)=[0; smooth(diff(simout.Data(:,1+n))*100,20)]; %prvni kyvadlo
% plot(simout)
% tady si dej plot(simout) a najdi bod, v němž je derivace 0, to napiš do
% t0
%%
if n==1
     I1=0.001016;
    b1s=0.000208;
    b1c=0.00030;
%     b1c=0.0004;
%     b1s=0.0000;
    
    t0=11.475;
    tf2=90-t0;
    m2=m1;l2=l1;L2=L1;I2=I1;b2=b1;b2s=b1s;b2c=b1c;
elseif n==2
%     I2=0.000480;
    b2c=0.000156;
    b2s=0.000276;
% %     b2s=0;
% %     b2c=0.00025;
    t0=6.448;
    tf2=simout.Time(end);
end
run ../../vypocty.m



%t0=46.722; %prvni kyvadlo
%tf2=80-t0;
data=simout.Data(simout.Time>t0&simout.Time<=t0+tf2,:);
time=simout.Time(simout.Time>t0&simout.Time<=t0+tf2,:)-t0;

simout = timeseries(data(:,n+1), time); %prvni kyvadlo

th2i = (data(1,n+1)/180*pi-pi);
dth2i = 0;

%run doublePendulumSim_model_verify.slx
sim PendulumSim_model_verify_2015b.slx
close all
plot(simout);
hold on; 
plot(simout2);
hold off;
legend('mereni','simulace')
toc